# Code of Conduct

## Our Pledge

A primary goal of the CollectionBuilder community is to be inclusive to the largest number of contributors, with the most varied and diverse backgrounds possible. As community participants, we pledge to make participation in our project and community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, religion, or sexual identity and orientation.

We invite all those who participate in the CollectionBuilder project and community to help us create safe and positive experiences for everyone.

## Scope

This code of conduct outlines our expectations for everyone who participates in our community, as well as the consequences for unacceptable behavior.

We expect all community participants (community organizers; project maintainers; contributors, paid or otherwise; sponsors; and others) to abide by this Code of Conduct, which applies in all community venues, online and in-person; in one-on-one or group communications pertaining to community business; and within project spaces and in public spaces when an individual is representing the project or its community. 
Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. 
Representation of a project may be further defined and clarified by community organizers.

Participants are also expected to uphold the [GitHub Community Guidelines](https://help.github.com/en/articles/github-community-guidelines) for all behavior and content on the platform.

## Expected Behavior

The following behaviors are expected of all community participants:

- Using inclusive, respectful, and welcoming language
- Being respectful of differing viewpoints and experiences
- Gracefully accepting constructive criticism
- Focusing on what is best for the community
- Showing empathy towards other community members

## Unacceptable Behavior

The following behaviors are unacceptable within our community:

- Violence, threats of violence, or violent language directed against another person
- Sexist, racist, homophobic, transphobic, ableist, or otherwise discriminatory jokes and language
- Trolling, insulting/derogatory comments, and personal or political attacks
- The use of sexualized language or imagery and unwelcome sexual attention or advances
- Posting or displaying sexually explicit or violent material
- Publishing or threatening to publish others' private information, such as a physical or electronic address, without explicit permission ("doxing")
- Public or private harassment
- Other conduct which could reasonably be considered inappropriate in a professional setting

## Our Responsibilities

Community organizers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior.

## Consequences for Unacceptable Behavior

Unacceptable behavior from any community member, including sponsors and those with decision-making authority, will not be tolerated.

Anyone asked to stop unacceptable behavior is expected to comply immediately.

Community organizers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban (temporarily or permanently) any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful without warning (and without refund in the case of a paid event).

## Reporting Guidelines

If you are subject to or witness unacceptable behavior, or have any other concerns, please notify community organizers as soon as possible at collectionbuilder.team@gmail.com which is maintained by evanwill, dcnb, owikle, and juliastone0729.
If these are not appropriate contacts, please consider [reporting directly to GitHub](https://github.com/contact/report-abuse) or an administrative contact in the project's home at [University of Idaho Library](https://www.lib.uidaho.edu/about/directory.html).

All complaints will be reviewed and investigated and will result in a response that is deemed necessary and appropriate to the circumstances. 
Community organizers are obligated to uphold confidentiality with regard to the reporter of an incident. 

Additionally, any abuse, harassment, and other harmful behavior taking place on GitHub can be reported directly: 
https://github.com/contact/report-abuse

## Contact info

- email: collectionbuilder.team@gmail.com
- [CollectionBuilder GitHub organization](https://github.com/CollectionBuilder)
- [CollectionBuilder home page](https://collectionbuilder.github.io/)

## Attribution

This Code of Conduct is adapted from two sources:

1. The [Contributor Covenant](https://www.contributor-covenant.org/), version 1.4, available at https://www.contributor-covenant.org/version/1/4/code-of-conduct.html. For answers to common questions about this code of conduct, see https://www.contributor-covenant.org/faq.
2. The Citizen Code of Conduct, Revision 2.3 2017, which is distributed by [Stumptown Syndicate](http://stumptownsyndicate.org/) under a [Creative Commons Attribution-ShareAlike license](http://creativecommons.org/licenses/by-sa/3.0/). Portions of text from the Citizen Code of Conduct are derived from the [Django Code of Conduct](https://www.djangoproject.com/conduct/) and the [Geek Feminism Anti-Harassment Policy](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Policy).
